//
//  LogInLabelStyle.swift
//  Login
//
//  Created by Javier Cicchelli on 02/12/2022.
//  Copyright © 2022 Röck+Cöde. All rights reserved.
//

import SwiftUI

struct LogInLabelStyle: LabelStyle {
    func makeBody(configuration: Configuration) -> some View {
        HStack(spacing: 8) {
            Spacer()
            
            configuration.title
                .font(.body)
                .foregroundColor(.primary)
            
            configuration.icon
                .tint(.primary)
            
            Spacer()
        }
    }
}

// MARK: - LabelStyle

extension LabelStyle where Self == LogInLabelStyle {
    static var logIn: Self {
        LogInLabelStyle()
    }
}
